# SPEC file for xmms-sid, primary target is the Fedora Extras
# RPM repository. Based on the RPM by CCR.

Name:		xmms-sid
Version:	0.8.0beta14
Release:	1%{?dist}
Summary:	A SID-tune (C64 music) input plugin for XMMS
URL:		http://www.tnsp.org/xmms-sid.php
Group:		Applications/Multimedia
Source:		http://www.tnsp.org/xs-files/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
License:	GPL
BuildRequires:	sidplay-libs-devel
BuildRequires:	xmms-devel >= 1.2.10
BuildRequires:	gtk+-devel

# Get the plugin target directory
%define plugindir %(xmms-config --input-plugin-dir)

%description
Input plugin for XMMS to play SID-tunes (Music from Commodore
64 games/demos/etc.). Supports either (or both) libSIDPlay
v1.x or v2.x. Includes extensive configurability (settings for
filters and other SID-emulation parameters, extensive fileinfo),
has STIL-database support, song-length database support and more.

%description -l de
Input-Plugin für XMMS um SID-musiken (Musik aus Commodore64 Spielen,
Demos, etc) abzuspielen. Unterstützt entweder libSidPlay V1.x, V2.x
oder beide. Enthält erweiterte Konfiguriermöglichkeiten, wie
Filtereinstellungen, diverse Parameter für die SID-Emulation und
ausführlichere Fileinformationen), Unterstützung der STIL Datenbank,
Song-Längen Datenbank und vieles mehr.

%description -l sv
Indata-tillägg (plugin) för att få XMMS att spela SID-musik 
(musik från Commodore 64 spel/demos/o.s.v.). Stödjer såväl 
libSIDPlay v1.x och v2.x (eller båda). Tillägget stödjer hög 
konfigurerbarhet (för filter och andra SID-emuleringsparametrar 
m.m.), stödjer STIL-databasen (SID Tune Information List), 
sånglägdsdatabasen, och mer därtill.

%prep
%setup -q

%build
%configure --libdir=%{plugindir}
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall libdir=$RPM_BUILD_ROOT/%{plugindir}
# Remove libtool archive remnant
rm -rf $RPM_BUILD_ROOT/%{plugindir}/*.la

%post	-p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS COPYING FAQ NEWS README* THANKS TODO BUGS xmms-1.2.10-songpos.patch
%{plugindir}/libxmmssid.*

%changelog
* Mon Sep 12 2005 Linus Walleij <triad@df.lth.se> 0.8.0beta14-1
- First try at an xmms-sid RPM for Fedora Extras.

* Mon Sep 12 2005 Matti CCR Hämäläinen <ccr@tnsp.org> 0.8.0beta14-2.ccr
- Reconstructed backlog entry to credit previous work by CCR.
